using System;
using System.Net;
using CommunityServer.Components;
using Rss;

namespace CommunityServer.RollerBlogs.Components
{
    public class RollerBlogPost
    {
        public RollerBlogPost()
        {
        }

        private int sectionId;
        public int SectionId
        {
            get { return sectionId; }
            set { sectionId = value; }
        }

        private int urlId;
        public int UrlId
        {
            get { return urlId; }
            set { urlId = value; }
        }

        private int postID;
        public int PostID
        {
            get { return postID; }
            set { postID = value; }
        }

        private string permaLink;
        public string PermaLink
        {
            get { return permaLink; }
            set { permaLink = value; }
        }

        private string commentsUrl;
        public string CommentsUrl
        {
            get { return commentsUrl; }
            set { commentsUrl = value; }
        }

        private int commentCount;
        public int CommentCount
        {
            get { return commentCount; }
            set { commentCount = value; }
        }

        private string guidName;
        public string GuidName
        {
            get { return guidName; }
            set { guidName = value; }
        }

        private bool guidIsPermaLink;
        public bool GuidIsPermaLink
        {
            get { return guidIsPermaLink; }
            set { guidIsPermaLink = value; }
        }
    }
}
